export function useToken() {
    return useCookie<string | undefined>("token")
}

export function useHeaders(override: string | undefined = undefined) {
    const token = useToken()
    return {
        Authorization: `Bearer ${override ?? token.value}`,
    }
}
